<?php

namespace v1\models;

class Municipio extends \app\models\Municipio {

  public function fields() {
    return [
      'id',
      'nombre',
      'idEstado',
      'creado',
      'modificado'
    ];
  }

  public function extraFields() {
    return [
      'estado'
    ];
  }

  public function getEstado() {
    return $this->hasOne(Estado::class, ['id' => 'idEstado']);
  }
}
